Page MenuHomePhabricator

Hadoop worker node procurement - 2015
Closed, ResolvedPublic

Description

We're going to do a procurement for new Hadoop worker nodes this coming fiscal year. Mark mentioned to me this morning that ops might have some extra budge for this year that we might want to swap with so that we can get new Hadoop nodes sooner rather than later, and that we should start this process now.

Let's start with a quote. I'd like to order nodes similar to the ones we ordered last year. That is, they should have the same # of disks and space, and the same amount of RAM. Processor speed isn't as big as a concern, same or better preferred. So! Last year we got:

Dell PowerEdge R720
  • 12 core EW-2620 @ 2.00GHz
  • 64G RAM
  • 12 x 4TB 3.5 HDDs
  • 2 x 2.5 small HDDs (in chassis?) for / partition

I'm not sure what our budget is yet, so we don't know how many of these we'd like to order. It will likely be somewhere between 10-20.

Can we get a quote for how much these would each cost if we order about that many?

Thanks!

Event Timeline

Ottomata created this task.May 26 2015, 5:35 PM
Ottomata raised the priority of this task from to Needs Triage.
Ottomata updated the task description. (Show Details)
Ottomata added subscribers: Ottomata, RobH, mark, kevinator.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 26 2015, 5:35 PM
Dzahn triaged this task as Normal priority.May 26 2015, 9:18 PM
Dzahn added a subscriber: Dzahn.

hardware-requests, not procurement for requesting hardware in phabricator, as outlined on https://wikitech.wikimedia.org/wiki/Operations_requests#Hardware_Requests. I've corrected, adding the one and removing the other.

RobH set Security to None.

Ok cool, noted for the future danke.

How goes? :)

Oh, also, same number of cores please :)

RobH claimed this task.Jun 8 2015, 5:32 PM
RobH added a comment.Jun 8 2015, 8:47 PM

This is for an expansion to EQIAD, correct?

I've put in https://rt.wikimedia.org/Ticket/Display.html?id=9405 to track the quoting and prices.

Yes, to eqiad. Thanks!

RobH moved this task from Backlog to In Review on the hardware-requests board.Jun 10 2015, 6:36 PM

I received the servers but do not have any place to put most of them. 4 are destined to go to Row D2 but the others I am not sure. I know Andrew B said we could start removing some of the CISCO labs from B3 and we could possibly swap out some of the CP's in A3 and old search in C5. I can yank the old servers off the racks and place in storage until needed.

Are we replacing any of the Analytics nodes? Do we need to spread them out across all rows?

I would like to get some other opinions.

Restricted Application added a subscriber: Matanya. · View Herald TranscriptJun 30 2015, 2:58 PM

Hm. We don't have any plans to replace any analytics nodes, but we might be able to move some of them around, as some will be repurposed as non distributed services. I don't think we are ready to do that now though.

I guess go head and put 4 in D2 and we'll get those set up. Not sure what else to do.

RobH closed this task as Resolved.Jul 1 2015, 4:35 PM

I've created T104463 for the racking of these systems. As this hardware request has been completed, I'm resolving this task.